Skip to main content

Get Orderbook Depth

Get the full orderbook depth (bids and asks) for a futures symbol.

HTTP Request

GET /api/v1/future/market/depth

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
limitnumberNoNumber of levels to return (default: 500, max: 1000)

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/future/market/depth?symbol=BTCUSDT&limit=500"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectOrderbook depth data
> asksarrayArray of ask orders [price, quantity]
> bidsarrayArray of bid orders [price, quantity]
> tsnumberData timestamp in milliseconds (Unix timestamp)

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": {
"asks": [["91210.20", "0.1"]],
"bids": [["91200.10", "0.2"]],
"ts": 1763459280833
}
}

Error Codes

CodeMessage
40034symbol does not exist
40034Limit parameter limit does not exist
50010Upstream response invalid